# Cmput 455 sample code
# Test case for solving TicTacToe by naive negamax, alphabeta, 
# and boolean negamax
# Written by Martin Mueller

from naive_negamax import naive_negamax
from alphabeta import callAlphabeta
from tic_tac_toe_integer_eval import TicTacToe
import time

def timeSearch(name, search, root):
    start = time.process_time()
    result = search(root)
    timeUsed = time.process_time() - start
    print("{} Result {} Time used: {:.4f}".format(name, result,
          timeUsed))

t = TicTacToe()
timeSearch("AlphaBeta Negamax", callAlphabeta, t)
timeSearch("Naive Negamax", naive_negamax, t)
